#
# spec file for package abiword (Version 1.0.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel aspell aspell-devel audiofile bonobo bonobo-devel esound esound-devel freetype2 freetype2-devel gal gal-devel gconf gdk-pixbuf gdk-pixbuf-devel ghostscript-fonts-other ghostscript-fonts-std glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gnome-vfs gnome-vfs-devel gpp gtk gtk-devel imlib imlib-devel indent libglade libglade-devel libgpp libjpeg libpng-devel-packages libtiff libungif libunicode libxml libxml-devel libxml2 libxml2-devel oaf oaf-devel orbit orbit-devel popt x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel aspell aspell-devel audiofile autoconf automake binutils bonobo bonobo-devel bzip2 cracklib esound esound-devel freetype2 freetype2-devel gal gal-devel gcc gcc-c++ gconf gdbm gdk-pixbuf gdk-pixbuf-devel gettext ghostscript-fonts-other ghostscript-fonts-std glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gnome-vfs gnome-vfs-devel gtk gtk-devel imlib imlib-devel indent libglade libglade-devel libjpeg libpng libpng-devel libstdc++-devel libtiff libtool libungif libunicode libxml libxml-devel libxml2 libxml2-devel oaf oaf-devel orbit orbit-devel perl popt popt-devel rpm

Name:         abiword
%define prefix /usr/share 
License:      GPL
Group:        Productivity/Office/Other
Requires:     ghostscript-fonts-std, ghostscript-fonts-other
Autoreqprov:  on
Summary:      Word processor
Version:      1.0.4
Release:      154
Url:          http://www.abisource.com
Source0:      http://www.abisource.com/downloads/Version-%{version}/lf/abiword-%{version}.tar.bz2
Source1:      cjk-examples-suse.tar.bz2
Source2:      README-CJK.SuSE
Source3:      ja-JP.fonts.dir
Source4:      ko-KR.fonts.dir
Source5:      zh-TW.fonts.dir
Source6:      cjk.fonts.alias
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Patch:        abi-inst.dif
Patch1:       help-browser.dif
Patch2:       abiword-1.0.2-vacopy.diff
Patch4:       abiword-0.99.1-lib64.dif
Patch5:       abiword-1.0.2-pspell.diff
Patch6:       abiword-draw.dif
Patch7:       wv-1.0.0-fix_overflow.patch

%description
AbiWord is a lean and fast full-featured word processor.



Authors:
--------
    Thomas Fletcher <thomasf@qnx.com>
    Jeff Hostetler <jeff@abisource.com>
    Paul Rohr <paul@abisource.com>
    Bob Sievers <bob@abisource.com>
    Eric Sink <eric@abisource.com>
    Shaw Terwilliger <sterwill@abisource.com>

%prep
%setup -n abiword-%{version} -a 1
%patch -p1
%patch1 -p1
%patch2
%patch4 -p1
%patch5
%patch6 -p1 
cd wv
%patch7 -p1
cd ..
cp $RPM_SOURCE_DIR/README-CJK.SuSE .
cd $RPM_BUILD_DIR
DIR=$(find ../ -name ltmain.sh -printf "%h ")
%{?suse_update_config:%{suse_update_config -f $DIR}}

%build
%define OPTS  ABI_OPT_XML=1 ABI_OPT_GNOME=0 ABI_OPT_BONOBO=0 ABI_OPT_BIDI_ENABLED=1 ABI_OPT_PSPELL=1 UNIX_CAN_BUILD_STATIC=0
ln -sf /usr/include/gtk-1.2/* /usr/include
#export LDFLAGS="-lfreetype" 
#export CFLAGS="$RPM_OPT_FLAGS -g -I/opt/gnome/include -I/usr/include"
#export CXXFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include -I/usr/include" 
cd abi
make %{OPTS} XCFLAGS="-O0 " XLDFLAGS="-O0 -lfreetype -L/opt/gnome/%_lib" LIBDIR="/usr/%_lib"

%install
cd abi
make %{OPTS} prefix=$RPM_BUILD_ROOT%{prefix} LIBDIR="/usr/%_lib" install 
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
ln -sf %{prefix}/AbiSuite/bin/AbiWord \
       $RPM_BUILD_ROOT/usr/X11R6/bin/AbiWord
ln -sf %{prefix}/AbiSuite/bin/AbiWord \
       $RPM_BUILD_ROOT/usr/X11R6/bin/abiword
# - install fonts.dir files for Asian languages
for i in ja-JP ko-KR zh-TW
do
    mkdir $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/$i
    cp $RPM_SOURCE_DIR/$i.fonts.dir $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/$i/fonts.dir
done
# append aliases needed by the above fonts.dir files to a fonts.alias file
# in Abiword's fonts directory:
cat $RPM_SOURCE_DIR/cjk.fonts.alias >> $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/fonts.alias
# - make symlinks to the English help files for languages where no translations
#   for the help files exist
for i in ja-JP ko-KR zh-TW cs-CZ da-DK pl-PL pt-BR ru-RU sv-SE lt-LT it-IT es-ES
do
    pushd $RPM_BUILD_ROOT%{prefix}/AbiSuite/AbiWord/help/
       test -e $i || ln -s en-US $i 
    popd
done
# make a link to fonts for ISO-8859-2:
rm -f $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/ISO-8859-2
ln -s /usr/X11R6/lib/X11/fonts/latin2/Type1 $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/ISO-8859-2
ln -s /usr/X11R6/lib/X11/fonts/latin2/Type1 $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/cs-CZ
# remove fonts which are just duplicates of fonts in
# ghostscript-fonts-std and ghostscript-fonts-other
# and replace them by symbolic links:
pushd $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts
    for i in *.pfa *.pfb *.afm
    do
        if [ -f /usr/share/ghostscript/fonts/$i ] ; then
	    rm $i
	    ln -s /usr/share/ghostscript/fonts/$i $i
	fi
    done
popd

%files 
%doc abi/COPYING  abi/COPYRIGHT.TXT abi/CREDITS.TXT abi/README.TXT abi/VERSION.TXT abi/BiDiReadme.txt abi/UnixFonts.txt abi/UnixLocales.txt abi/docs
%doc README-CJK.SuSE cjk-examples-suse
%{prefix}/AbiSuite
/usr/X11R6/bin/AbiWord
/usr/X11R6/bin/abiword

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n abiword
* Thu Nov 11 2004 - sbrabec@suse.cz
- Fixed buffer overflow in the wvHandleDateTimePicture function in wv
  library: CAN-2004-0645 (#47767).
* Fri Feb 28 2003 - hhetter@suse.de
- apply the fix to gr_UnixDraw.cpp from abiword CVS to get
  abiword to run under specific locales (Bug Id#24449)
  (also see http://bugzilla.abisource.com/show_bug.cgi?id=4583)
* Fri Feb 21 2003 - hhetter@suse.de
- updated to bugfix release 1.0.4
* Thu Jan 30 2003 - ro@suse.de
- removed unused freetype(1) from neededforbuild
* Wed Nov 20 2002 - mfabian@suse.de
- adapt cjk.fonts.alias ko-KR.fonts.dir and the Korean example file
  to the new font names which are autogenerated from the CIDFont
  files by /usr/sbin/cidfont-x11-config now.
* Fri Nov 01 2002 - pmladek@suse.cz
- fixed to use new aspell (pspell was merged into new aspell)
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Fri Sep 06 2002 - hhetter@suse.de
- only build dynamic binary ( Bug Id #19032)
- build without optimization prevents from crashing
  on second window closing ( Bug Id #18198)
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Tue Jul 23 2002 - uli@suse.de
- use __va_copy on all architectures (fixes x86-64)
* Wed Jul 03 2002 - hhetter@suse.de
- updated to version 1.0.2
- removed patches which are already applied to this version
* Tue May 28 2002 - ro@suse.de
- make it build on lib64
* Tue Mar 26 2002 - hhetter@suse.de
- added a link to ISO-8859-2 fonts for cs-CZ, really getting
  Czech support to work (close Bug Id #14622)
* Thu Mar 14 2002 - mfabian@suse.de
- don't link against GNOME because this makes abiword unusable
  for CJK and produces bad results when printing German or Czech.
- add a link to ISO-8859-2 fonts (fix Bug #14622)
- remove fonts which are just duplicates of fonts in
  ghostscript-fonts-std and ghostscript-fonts-other and replace
  them by symbolic links (saves 2.7M)
- add 'Requires: ghostscript-fonts-std, ghostscript-fonts-other'
- include documentation from 'docs' directory
- add/update translations from current CVS: ja-JP, zh-HK, de_DE,
  and others.
* Thu Feb 07 2002 - mfabian@suse.de
- add abiword-0.99.1-gnome-xim.dif to make XIM work even when
  abiword is built with GNOME support
* Tue Feb 05 2002 - mfabian@suse.de
- update to 0.99.1
- add 'gnome-vfs gnome-vfs-devel gconf' to neededforbuild
- add ABI_OPT_BIDI_ENABLED=1
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Dec 17 2001 - hhetter@suse.de
- updated to version 0.9.6.1
  changes include:
  * translation updates
  * numerous bugfixes
  * dictionary improvements
* Fri Nov 23 2001 - hhetter@suse.de
- updated to version 0.9.5
  changes include:
  * improved image dialog
  * windows write importer
  * unix printing improvements
- functionality test on i386
* Fri Oct 05 2001 - hhetter@suse.de
- updated to version 0.9.4.1
  changes include:
  * Improved XHTML export
  * Kword export/import
  * Word Perfect Importer
  * AbiWord stays up on preference after last document is closed
  * Various backend improvements and bug fixes
  * MS Word import improvements
- reapplied buildroot in wrapper-creation script
- enabled full GNOME support (bonobo, orbit, oaf, gnome-print)
- enabled pspell support
* Fri Sep 07 2001 - mfabian@suse.de
- I broke the fix from <hhetter@suse.de> for the Buildroot in the
  wrapper creation script. Very sorry. Should be fixed again.
* Sun Sep 02 2001 - mfabian@suse.de
- add fonts.dir and fonts.alias files to support Asian languages.
  All CID-keyed font packages currently available on SuSE Linux
  can now be used with abiword, i.e. you can now use the WadaLab
  fonts for Japanese, the Munhwa fonts for Korean and the MOE
  fonts for traditional Chinese.
- make symlinks to the English help files for languages where
  no translated help files exist.
* Thu Aug 23 2001 - hhetter@suse.de
- fix for Buildroot in the wrapper-creation script
- prefer galeon over konqueror as web-browser
* Thu Aug 16 2001 - hhetter@suse.de
- update to version 0.9.2, mostly bugfix release
- test on i386
* Wed Aug 01 2001 - hhetter@suse.de
- update to version 0.9.0
- specfile cleanup
- filelist adaptions
- adapted patches
- test on i386
* Wed Jun 27 2001 - hhetter@suse.de
- added gal-devel to neededforbuild
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 05 2001 - sf@suse.de
- implemented suse_update_config correctly
- added some missing headers for gcc >= 2.96
* Tue Mar 20 2001 - egger@suse.de
- Reflected GNOME sound changes in #neededforbuild.
* Tue Mar 13 2001 - egger@suse.de
- Updated to 0.7.13.
- Fixed to build.
* Thu Feb 22 2001 - ro@suse.de
- added freetype2 (and -devel) to neededforbuild and link options
* Mon Dec 18 2000 - sf@suse.de
- added #include <string.h> to xap_UnixFrame.cpp
  to make it compile on IA64
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu Sep 28 2000 - gs@suse.de
- bugfixes in spec-file (use of BuildRoot)
- patches for install.sh and makewrapper.sh
* Mon Sep 25 2000 - egger@suse.de
- Disable GNOME stuff as it seems to crash AbiWord more often.
- Use BuildRoot.
- Buildproofed on i386.
* Sat Sep 16 2000 - egger@suse.de
- update to 0.7.11.
- added GNOME support.
- cleaned up specfile.
- tested functionality.
* Mon Jun 26 2000 - gs@suse.de
- update to 0.7.10
* Wed May 10 2000 - gs@suse.de
- update to 0.7.9
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
- added support for linux-s390
* Fri Feb 18 2000 - gs@suse.de
- update to v. 0.7.8
* Mon Dec 13 1999 - ro@suse.de
- use /usr/X11R6/bin instead of /usr/bin/X11
* Tue Nov 16 1999 - gs@suse.de
- installation directory: /usr/share, links in /usr/bin/X11
